/*
 * This program generates 2 exports and no executable code.
 *  1 - An array of character string representations of the user-supplied 
 *      return codes.
 *  2 - An integer value containing the maximum permissable return code value.
 *
 * To generate an enumerated type containing the user-supplied return codes,
 * follow the commented instructions below.
 */

#include "uuidgen_retcodes.h"

 /******************************************************************************
  * The following enum is used to obtain a value for the 
  * traceMaxRetcodeValue in the statement below.  It has no other
  * use in the application.
  ******************************************************************************/
#define Token(_value) _value
typedef enum TT_retCode
{
	TT_TRACE_RETURN_CODES
} TT_retCode_t;

 /******************************************************************************
  * End of lines to copy
  ******************************************************************************/

int traceMaxRetcodeValue = (int)TT_TRACE_MAX_RETURN_CODE_VALUE;
#undef Token
#define Token(_value) #_value
char *traceRetcodeStrings[] =
{
    TT_TRACE_RETURN_CODES
};
#undef Token


